package com.ruoyi.invest.domain.vo;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import com.ruoyi.tool.domain.TUnifyFile;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.List;

/**
 * 投决申请对象 t_project_decision
 * 
 * @author zjc
 * @date 2024-04-02
 */
@Data
public class ProjectDecisionVo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private String id;

    /** 项目ID */
    private String projectPoolId;

    /** 项目名称 */
    //private String projectName;

    /** 参与人ID */
    @Excel(name = "参与人ID")
    private String participantsId;

    /** 参与人 */
    @Excel(name = "参与人")
    private String participants;

    /** 股权/其他合作商务条款 */
    @Excel(name = "股权/其他合作商务条款")
    private String provision;

    /** 状态 */
    private String delFlag;

    /**
     * 附件信息
     */
    private List<TUnifyFile> listFile;

    /**
     * 流程状态
     */
    private Integer status;

    /**
     * 是否需要立项会议
     */
    private String needMeeting;//0否1是

    //表外
    /*private String procInstId;//流程实例Id
    private String taskName;
    private String taskDefKey;*/


    //投资机会信息
    /** 项目名称 */
    @Excel(name = "项目名称")
    private String projectName;
    /** 项目所属行业 */
    @Excel(name = "项目所属行业")
    private String industry;
    /** 项目阶段 */
    @Excel(name = "项目阶段")
    private String projectStage;
    /** 项目状态 */
    @Excel(name = "项目状态")
    private String projectState;
    /** 投资负责人 */
    @Excel(name = "投资负责人")
    private String investHead;
    @Excel(name = "项目机会状态")
    private String projectStatus;


    //流程信息
    @ApiModelProperty("流程实例ID")
    private String procInstId;
    @ApiModelProperty("流程ID")
    private String procDefId;
    //private String processDefName;
    @ApiModelProperty("流程部署编号")
    private String deployId;
    //流程任务信息
    @ApiModelProperty("任务编号")
    private String taskId;
    @ApiModelProperty("任务执行编号")
    private String executionId;// 运行id
    @ApiModelProperty("任务名称")
    private String taskName;
    @ApiModelProperty("任务Key")
    private String taskDefKey;
    private String taskCreateTiem; // 当前节点创建时间
    //private String taskUserId; // 当前处理人
    //private String status; // 流程状态
    @ApiModelProperty("任务执行人Id")
    private String assignee; // 该值未空表示 可签收，不未空表示 可处理
    @ApiModelProperty("任务执行人名称")
    private String assigneeName;
    //流程发起人信息
    @ApiModelProperty("流程发起人Id")
    private String startUserId;
    @ApiModelProperty("流程发起人名称")
    private String startUserName;
    @ApiModelProperty("流程发起人部门名称")
    private String startDeptName;

    private boolean flag; // true - 同意; false - 驳回

    public void setId(String id) 
    {
        this.id = id;
    }

    public String getId() 
    {
        return id;
    }
    public void setProjectPoolId(String projectPoolId) 
    {
        this.projectPoolId = projectPoolId;
    }

    public String getProjectPoolId() 
    {
        return projectPoolId;
    }
    public void setParticipantsId(String participantsId) 
    {
        this.participantsId = participantsId;
    }

    public String getParticipantsId() 
    {
        return participantsId;
    }
    public void setParticipants(String participants) 
    {
        this.participants = participants;
    }

    public String getParticipants() 
    {
        return participants;
    }
    public void setProvision(String provision) 
    {
        this.provision = provision;
    }

    public String getProvision() 
    {
        return provision;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    public List<TUnifyFile> getListFile() {
        return listFile;
    }

    public void setListFile(List<TUnifyFile> listFile) {
        this.listFile = listFile;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("projectPoolId", getProjectPoolId())
            .append("participantsId", getParticipantsId())
            .append("participants", getParticipants())
            .append("provision", getProvision())
            .append("remark", getRemark())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
